/* atex branding of the top bar. Would be nicer to do this via LESS
   Here are the atex colors for now:
   atex primary color: #6cc04a
   atex secondary, lighter: #bde093
   atex secondary, darker: #27537d
*/
html {
  background-color: #f8f8f8;
}
/* Set background of top bar to Atex primary */
.navbar-static-top {
  background-color: #27537d;
  border-color: #27537d;
}
/* Set text in top navbar to white */
.we-navbar .navbar-text {
  color: #eee;
}
/* Toggle button */
.we-navbar .navbar-toggle {
  color: #eee;
  border-color: #bde093;
}

.we-navbar .navbar-toggle:hover {
  background-color: #27537d;
}

.we-navbar .navbar-toggle:active {
  background-color: #27537d;
}

.we-navbar .navbar-toggle.active {
  background-color: #27537d;
}

.we-navbar .navbar-toggle:focus {
  background-color: #27537d;
}
/* Dropdowns */
.we-navbar a.dropdown-toggle {
  color: #eee;
}

.we-navbar a.dropdown-toggle:hover {
  background-color: #27537d;
  color: #fff;
}

.we-navbar a.dropdown-toggle:active {
  background-color: #27537d;
}

.we-navbar a.dropdown-toggle:focus {
  background-color: #27537d;
}

.we-navbar a.dropdown-toggle.active {
  background-color: #27537d;
}

.we-navbar a.navbar-brand {
  padding: 0px;
}

.we-navbar a.navbar-brand img {
  padding: 0px;
  margin: 0px;
  border: 0px;
  height: 50px;
}

@media screen and (max-width:500px)
{
    .we-navbar a.navbar-brand img {
        height: 30px;
        width: 180px;
    }
}

.btn-success {
    color: #fff;
    background-color: #27537d;
    border-color: #003366;
}
.btn-success:hover,
.btn-success:focus,
.btn-success:active,
.btn-success.active,
.open > .dropdown-toggle.btn-success {
  color: #fff;
  background-color: #003366;
  border-color: #27537d;
}
.panel-atex {
    border-color: #27537d;
}

.panel-atex .panel-heading {
    border-color: #27537d;
    color: #fff;
    background-color: #27537d;
}

.panel-atex a {
    color: #27537d;
}

.panel-atex a:hover {
    color: #003366;
}

.ng-table {
  margin-bottom: 0px;
}

.pagination {
  display: inline-block;
  padding-left: 0;
  margin: 5px 0;
  border-radius: 4px;
  float: right;
}

.modalDlg {
    display: block;
    width: 500px;
    height: 500px;
}
.modal-body:before,
.modal-body:after {
    display: table;
    content: " ";
}
.modal-header:before,
.modal-header:after {
    display: table;
    content: " ";
}


.we-read-only-cell {
    float: left;
    margin-top: 6px;
    margin-right: 15px;
    margin-bottom: 6px;
}

.newline {
    clear: left;
}

.we-read-only-label {
    margin-bottom: -2px;
    font-size: 0.7em;
    color: #444
}

/* 
A very compact table with less padding and no lines between rows 
*/
.table-compact > thead > tr > th,
.table-compact > tbody > tr > th,
.table-compact > tfoot > tr > th,
.table-compact > thead > tr > td,
.table-compact > tbody > tr > td,
.table-compact > tfoot > tr > td {
  padding: 2px;
  line-height: 1.0;
  border: none;
}
/* */
.tr-highlight {
    border-top: 2px solid #ccc;
    border-bottom: 2px solid #ccc;
    font-weight: bold;
}

.cursor-pointer {
  cursor: pointer;
}

.alert-extended {
  top: 50px;
  right: 25px;
  height: 50px;
  width: auto;
  margin: 0 auto;
  position: absolute;
  z-index: 10;
  display: block;
  opacity: 2;
  box-shadow: black 4px 6px 20px;
}

.control-label.required:before { 
    color: #d00;
    content: "*";
    position: absolute;
    margin-left: -7px;
    top:7px;
}

.btn-batchjobs {
  width: 100px;
}

.btn-mapping {
  xwidth: 150px;
}

.breadcrumb {
  padding: 8px 0px;
  background-color: transparent;
}

.datepicker {z-index: 1151 !important;}

.table>thead>tr>th, .table>tbody>tr>th, .table>tfoot>tr>th, .table>thead>tr>td, .table>tbody>tr>td, .table>tfoot>tr>td {
  padding : 5px;
	}
}